Copy a saved query
Server:
https://{kibana_url}
- POST /api/osquery/saved_queries/{id}/copy
- POST /s/{space_id}/api/osquery/saved_queries/{id}/copy
Refer to Spaces for more information.
Create a copy of a saved query with a unique name by appending a _copy suffix. If the name already exists, a numeric suffix is added (e.g., _copy_2).
Path Parameters
-
idstringrequired -
The ID of the saved query to copy.
Response
Indicates a successful call.
-
dataobjectrequired -
created_atstring -
created_bystringnullable -
created_by_profile_uidstring -
descriptionstring -
The saved query description.
-
ecs_mappingobject -
Map osquery results columns or static values to Elastic Common Schema (ECS) fields
-
idstringrequired -
The ID of a saved query.
-
intervalinteger | string -
platformstring -
Restricts the query to a specified platform. The default is all platforms. To specify multiple platforms, use commas. For example,
linux,darwin. -
querystring -
The SQL query you want to run.
-
removedboolean -
Indicates whether the query is removed.
-
saved_object_idstringrequired -
snapshotboolean -
Indicates whether the query is a snapshot.
-
timeoutinteger -
updated_atstring -
updated_bystringnullable -
updated_by_profile_uidstring